DROP TABLE IF EXISTS FAVORITES;;
DROP TABLE IF EXISTS NOTES;;

CREATE TABLE FAVORITES
(
objectId VARCHAR PRIMARY KEY  UNIQUE  REFERENCES CONTENT (id)  ON DELETE CASCADE ON UPDATE NO ACTION,
deleted INTEGER,
lastUpdate DATETIME
);;

CREATE TABLE NOTES
(
id VARCHAR PRIMARY KEY  UNIQUE,
text VARCHAR(300),
objectId VARCHAR REFERENCES CONTENT (id)  ON DELETE CASCADE ON UPDATE NO ACTION,
lastUpdate DATETIME,
deleted INTEGER
);;


CREATE INDEX FAVORITES_objectId_idx ON FAVORITES(objectId COLLATE BINARY ASC);;

CREATE INDEX FAVORITES_deleted_idx ON FAVORITES(deleted COLLATE BINARY ASC);;

CREATE INDEX NOTES_objectId_idx ON NOTES(objectId COLLATE BINARY ASC);;